Starts an approval on a file. For more information, see Manage approvals.
HTTP request
POST https://www.googleapis.com/drive/v3/files/{fileId}/approvals:start
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
fileId |
Required. The ID of the file that the approval is created on. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"reviewerEmails": [
string
],
"dueTime": string,
"lockFile": boolean,
"message": string,
"fileContentChangeBehavior": enum ( |
| Fields | |
|---|---|
reviewerEmails[] |
Required. The emails of the users who are set to review the approval. |
dueTime |
Optional. The time that the approval is due. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
lockFile |
Optional. Whether to lock the file when starting the approval. |
message |
Optional. A message to send to reviewers when notifying them of the approval request. |
fileContentChangeBehavior |
Optional. The behavior of the approval when the file content changes. |
Response body
If successful, the response body contains an instance of Approval.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/drivehttps://www.googleapis.com/auth/drive.filehttps://www.googleapis.com/auth/drive.metadata
Some scopes are restricted and require a security assessment for your app to use them. For more information, see the Authorization guide.